Sspi.CredHandle (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: Sspi, class: CredHandle

Package com.sun.jna.platform.win32

# Class Sspi.CredHandle

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.Sspi.SecHandle
com.sun.jna.platform.win32.Sspi.CredHandle

Enclosing interface:
  Sspi

public static class Sspi.CredHandle extends Sspi.SecHandle
Credentials handle.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.platform.win32.Sspi.SecHandle

  `Sspi.SecHandle.ByReference`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  ### Fields inherited from class com.sun.jna.platform.win32.Sspi.SecHandle

  `dwLower, dwUpper`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CredHandle()`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.platform.win32.Sspi.SecHandle

  `isNull`

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CredHandle

    public CredHandle()